package main

import (
    "os"
    "log"

    "github.com/urfave/cli/v2"

    "reichard.io/imagini/cmd"
    "reichard.io/imagini/internal/sessions"
)

var globalSessions *sessions.Manager

func main() {
    app := &cli.App{
        Name: "Imagini",
        Usage: "A self hosted photo library.",
        Commands: []*cli.Command{
            &cmd.CmdServe,
        },
    }

    err := app.Run(os.Args)
    if err != nil {
        log.Fatal(err)
    }
}
